Mostrando postagens com marcador Squid. Mostrar todas as postagens
Mostrando postagens com marcador Squid. Mostrar todas as postagens

sábado, 11 de agosto de 2012

Instalando o Squid no CentOS 6.3


Para instalar o squid use o comando:

# yum install squid

Configure o serviço para inicialização automática durante o boot com o comando:

# chkconfig squid on

Edite o arquivo "/etc/squid/squid.conf" e comente todas as linhas que estiver com "acl localnet ....", no meu arquivo comentei as
seguintes linhas:

#acl localnet src 10.0.0.0/8 # RFC1918 possible internal network
#acl localnet src 172.16.0.0/12 # RFC1918 possible internal network
#acl localnet src 192.168.0.0/16 # RFC1918 possible internal network
#acl localnet src fc00::/7 # RFC 4193 local private network range
#acl localnet src fe80::/10 # RFC 4291 link-local (directly plugged) machines

Após a ultima linha comentada, adicione a acl referente a sua rede:

acl redelocal src 10.0.0.0/24

Procure e comente a linha abaixo:

#http_access allow localnet

Em cima desta linha, libere a acl criada acima rede a sua rede:

http_access allow redelocal

Inicie o serviço do squid com o comando:

# service squid start

Agora configure no cliente a porta 3128 do squid e o IP do servidor onde o mesmo encontra-se instalado.

Caso queira ver o log em tempo real use o comando:

# tail -f /var/log/squid/access.log

Obs: Para deixar o arquivo mais limpo, se preferir, delete as linhas que foram comentadas.

Abraços

terça-feira, 1 de novembro de 2011

Instalando o SquidGuard no CentOS 6.0

=== Instalação ===

Utilizei o squidguard disponivel no rpmforge (aqui no blog tem como instalar o repositório do
rpmforge).

# yum install squidguard

=== Configuração ===

Adicione a seguinte linha no squid.conf:

redirect_program /usr/bin/squidGuard -c /etc/squid/squidguard.conf

Como sugestão faça um backup do squidguard.conf e crie um novo, como simples exemplo vou
postar o meu:

###################################################
dbhome /var/squidguard/db
logdir /var/log/squidguard
dest deny {
domainlist deny/domains
urllist deny/urls
}
acl {
default {
pass !deny all
redirect http://10.10.10.254/index.html
}
 }

##################################################

# mkdir /var/log/squidguard

# mkdir -p /var/squidguard/db/deny

Crie o arquivo domains e adicione os dominios que deseja bloquear

# vi /var/squidguard/db/deny/domains

Crie o arquivo urls e adicione as urls que deseja bloquear

# vi /var/squidguard/db/deny/urls

Crie o db utilizado pelo SquidGuard

# squidGuard -C all

Altere as permissões

# chown -R squid. /var/squidguard/db/*

Por fim reinicie o squid

# service squid restart

Referências:

http://www.server-world.info/en/note?os=CentOS_5&p=squid&f=3
http://www.hardware.com.br/livros/servidores-linux/usando-squidguard-para-bloquear-paginas-improprias.html

Instalando o SARG no CentOS 6.0

O SARG  é um software que gera relatório dos acessos realizados através do SQUID, basicamente ele lê o arquivo access.log e gerar um pagina html amigavel.

== Pré-requisitos ==

Apenas o apache para que você possar acessar o relatório através do navegador.

== Instalação ==

Faça o download no código no fonte no site http://sarg.sourceforge.net/sarg.php

# tar -xvzf sarg-2.3.1.tar.gz
# cd sarg-2.3.1
# ./configure ---sysconfdir=/etc/sarg
# make && make install

== Configuração ==

Edite o arquivo /etc/sarg/sarg.conf e altere a linha que configura o diretório do access.log
do squid

access_log /var/log/squid/access.log

== Usando ==

Para gerar o relatório basta executar o comando:

# sarg

Depois acesse http://servidor/squid-reports para analisar o relatório gerado.